CREATE TABLE her_curric_requirements_b (
    NODE_ID                         NUMBER(18, 0),
    REQUISITE_TYPE_CODE             VARCHAR2(120),
    NODE_TYPE_CODE                  VARCHAR2(120)    NOT NULL,
    CURRICULUM_HEADER_ID            NUMBER(18, 0)    NOT NULL,
    REQUIREMENT_TYPE_CODE           VARCHAR2(120)    NOT NULL,
    DISPLAY_SEQUENCE                NUMBER(18, 0)    NOT NULL,
    NODE_GUID                       VARCHAR2(128),
    NODE_CODE                       VARCHAR2(128)    NOT NULL,
    PARENT_NODE_CODE                VARCHAR2(128),
    PARENT_NODE_ID                  NUMBER(18, 0),
    ELEMENT_CURRICULUM_ID           NUMBER(18, 0),
    ELEMENT_CURRICULUM_HEADER_ID    NUMBER(18, 0),
    REQUIREMENT_CATEGORY_ID         NUMBER(18, 0),
    GROUP_STATEMENT_CODE            VARCHAR2(120),
    CONCURRENT_FLAG                 VARCHAR2(4)      NOT NULL,
    LOCKED_FLAG                     VARCHAR2(4)      NOT NULL,
    REQUISITE_SCHEME_ID             NUMBER(18, 0),
    MIN_ITEMS_TO_COMPLETE           NUMBER(2, 0) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    ATTRIBUTE_CATEGORY              VARCHAR2(600),
    ATTRIBUTE1                      VARCHAR2(600),
    ATTRIBUTE2                      VARCHAR2(600),
    ATTRIBUTE3                      VARCHAR2(600),
    ATTRIBUTE4                      VARCHAR2(600),
    ATTRIBUTE5                      VARCHAR2(600),
    NODE_ID                         NUMBER(18, 0),
    NODE_TYPE_CODE                  VARCHAR2(120)    NOT NULL,
    CURRICULUM_HEADER_ID            NUMBER(18, 0)    NOT NULL,
    REQUIREMENT_TYPE_CODE           VARCHAR2(120)    NOT NULL,
    DISPLAY_SEQUENCE                NUMBER(18, 0)    NOT NULL,
    NODE_GUID                       VARCHAR2(128),
    PARENT_NODE_ID                  NUMBER(18, 0),
    ELEMENT_CURRICULUM_ID           NUMBER(18, 0),
    ELEMENT_CURRICULUM_HEADER_ID    NUMBER(18, 0),
    REQUIREMENT_CATEGORY_ID         NUMBER(18, 0),
    GROUP_STATEMENT_CODE            VARCHAR2(120),
    CONCURRENT_FLAG                 VARCHAR2(4)      NOT NULL,
    LOCKED_FLAG                     VARCHAR2(4)      NOT NULL,
    REQUISITE_SCHEME_ID             NUMBER(18, 0),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    ATTRIBUTE_CATEGORY              VARCHAR2(600),
    ATTRIBUTE1                      VARCHAR2(600),
    ATTRIBUTE2                      VARCHAR2(600),
    ATTRIBUTE3                      VARCHAR2(600),
    ATTRIBUTE4                      VARCHAR2(600),
    ATTRIBUTE5                      VARCHAR2(600),
    NODE_CODE                       VARCHAR2(128)    NOT NULL,
    PARENT_NODE_CODE                VARCHAR2(128),
    REQUISITE_TYPE_CODE             VARCHAR2(120),
    MIN_ITEMS_TO_COMPLETE           NUMBER(2, 0) ,
    CONSTRAINT pk_her_curric_requirements_b PRIMARY KEY (NODE_ID, NODE_ID)
);
